module mod_extra
      PUBLIC
      real, allocatable, dimension(:,:,:)   :: pdsl,pdvp1,pslp
      real, allocatable, dimension(:,:,:,:) :: pint,alpint,zint

!!      common/extra/ pdsl,pint,alpint,zint,pdvp1,pslp
end module mod_extra
